### Class

# Peas ExtensionBase

#### Description [src]

    abstract class Peas.ExtensionBase : GObject.Object
    {
      PeasExtensionBasePrivate* priv
    }

Base class for C extensions.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### peas_extension_base_get_data_dir

Get the path of the directory where the plugin should look for its data files.

###### peas_extension_base_get_plugin_info

Get information relative to `extbase`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Peas.ExtensionBase:data-dir

The The full path of the directory where the plugin should look for its data files.

###### Peas.ExtensionBase:plugin-info

The `PeasPluginInfo` related to the current plugin.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PeasExtensionBaseClass {
      GObjectClass parent_class;

    }

The class structure of `PeasExtensionBase`.

###### Class members

`parent_class: GObjectClass`

  The parent class.